## python-azure 2.0.0~rc6+dfsg

=== requirements.txt ===
futures
python-dateutil
requests
vcrpy
coverage
pyopenssl
msrest>=0.4.0,<0.5.0
msrestazure>=0.4.0,<0.5.0
