=== debian/changelog ===
python-azure (2.0.0~rc6+dfsg-2) unstable; urgency=medium

  * Fixes for package dependencies.

 -- Iain R. Learmonth <irl@debian.org>  Fri, 23 Sep 2016 14:45:15 +0100

python-azure (2.0.0~rc6+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #838101)

 -- Iain R. Learmonth <irl@debian.org>  Fri, 23 Sep 2016 13:23:00 +0100
