=== debian/control ===
Source: python-azure
Maintainer: Debian Azure Packaging Team <pkg-azure-team@lists.alioth.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
               python-requests,
               python3-requests,
               python-msrest,
               python3-msrest,
               python-msrestazure,
               python3-msrestazure,
               python-sphinx,
               python-sphinx-rtd-theme
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-azure/python-azure.git
Vcs-Git: https://anonscm.debian.org/git/pkg-azure/python-azure.git
Homepage: https://github.com/Azure/azure-sdk-for-python

Package: python-azure
Architecture: all
Depends: ${misc:Depends},
         python-msrest,
         python-msrestazure,
         python-requests
Recommends: python-azure-storage
Suggests: python-azure-doc
Description: Microsoft Azure SDK for Python 2.x
 The Azure SDK provides a set of Python packages that make it easy to access
 the Microsoft Azure components such as ServiceManagement, Storage, and
 ServiceBug.
 .
 This package contains the Python 2.x modules.

Package: python3-azure
Architecture: all
Depends: ${misc:Depends}
         python3-msrest,
         python3-msrestazure,
         python3-requests
Recommends: python-azure-storage
Suggests: python-azure-doc
Description: Microsoft Azure SDK for Python 3.x
 The Azure SDK provides a set of Python packages that make it easy to access
 the Microsoft Azure components such as ServiceManagement, Storage, and
 ServiceBug.
 .
 This package contains the Python 3.x modules.

Package: python-azure-doc
Section: doc
Architecture: all
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: Microsoft Azure SDK for Python - Documentation
 The Azure SDK provides a set of Python packages that make it easy to access
 the Microsoft Azure components such as ServiceManagement, Storage, and
 ServiceBug.
 .
 This package contains the HTML documentation.
