=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=azure

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/ doc/_build/html # HTML generator
	dh_auto_build
