## python-azure 20170915+git

=== requirements.txt ===
futures;python_version<="2.7"
python-dateutil
pyopenssl
msrestazure>=0.4.0,<0.5.0
