=== debian/changelog ===
python-azure (20170915+git-1) unstable; urgency=medium

  * New upstream version 20170915+git
  * debian/py{,3}dist-overrides:
   - Fixed auto-dependency generation for azure-common and msrestazure
  * debian/rules:
   - Disabled tests temporarily; python-vcr needs update
  * debian/patches:
   - Removed documentation patch; no longer applies
  * debian/control:
   - Synchronised build dependencies with python packages
   - Fixed auto-dependency generation for Python 3 (Closes: #867420)

 -- Iain R. Learmonth <irl@debian.org>  Fri, 15 Sep 2017 08:18:37 +0100
