=== debian/control ===
--- 
+++ 
@@ -6,6 +6,17 @@
 Build-Depends: debhelper (>= 9),
                python-all,
                python-setuptools,
+               python-azure-devtools,
+               python3-azure-devtools,
+               python-azure-storage,
+               python3-azure-storage,
+               python-flask,
+               python3-flask,
+               python-futures,
+               python-adal,
+               python3-adal,
+               python-keyring,
+               python3-keyring,
                python3-all,
                python3-setuptools,
                python-requests,
@@ -16,7 +27,7 @@
                python3-msrestazure,
                python-sphinx,
                python-sphinx-rtd-theme
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-azure/python-azure.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-azure/python-azure.git
 Homepage: https://github.com/Azure/azure-sdk-for-python
@@ -24,6 +35,7 @@
 Package: python-azure
 Architecture: all
 Depends: ${misc:Depends},
+         ${python:Depends},
          python-msrest,
          python-msrestazure,
          python-requests
@@ -38,7 +50,8 @@
 
 Package: python3-azure
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends},
          python3-msrest,
          python3-msrestazure,
          python3-requests
