=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 override_dh_auto_build:
 	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/ doc/_build/html # HTML generator
 	dh_auto_build
+
+override_dh_auto_test:
+	echo "Tests are currently disabled as a bug in python-vcr means that network access is attempted for most tests, and they all fail"
