## python-azure 20181112%2Bgit

=== debian/changelog ===
python-azure (20181112+git-2) unstable; urgency=medium

  * Update autopkgtests to not output on stderr

 -- Nicolas Dandrimont <olasd@debian.org>  Fri, 16 Nov 2018 10:56:04 +0100

python-azure (20181112+git-1) unstable; urgency=medium

  * New upstream release (Closes: #875963, #904364)
    - based on upstream commit 77f90d501cdb559978e5acfd99cd4ec4c5c59148
  * Adopt package within the Debian Python Modules Team (Closes: #889084,
    #899666)
    - Thanks to Iain R. Learmonth for his past work on the package!
  * Make python3-azure recommend python3-azure-storage instead of
    python-azure-storage (Closes: #906076)
  * Completely overhaul debian/rules to use dh-python/pybuild and be generic
    to any number of submodules.
  * Update debhelper compat level to 11
  * Update Standards-Version to 4.2.1 (No further changes)
  * Set Rules-Requires-Root: no
  * Add autopkgtests

 -- Nicolas Dandrimont <olasd@debian.org>  Thu, 15 Nov 2018 16:31:11 +0100
