## python-azure 20181112+git

=== debian/changelog ===
python-azure (20181112+git-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.
  * Rename d/tests/control.autodep8 to d/tests/control.
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.
  * Add a workaround for pybuild now generating Depends:
    python3-azure-storage.

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 18 Aug 2019 00:19:52 +0500
