=== debian/control ===
Source: python-azure
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Nicolas Dandrimont <olasd@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 11),
               dh-python,
               python3-adal,
               python3-all,
               python3-azure-devtools (>= 1.1.0),
               python3-flask,
               python3-keyring,
               python3-msrest (>= 0.5~),
               python3-msrestazure (>= 0.5~),
               python3-recommonmark,
               python3-requests,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>
Standards-Version: 4.2.1
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-azure
Vcs-Git: https://salsa.debian.org/python-team/modules/python-azure.git
Homepage: https://github.com/Azure/azure-sdk-for-python

Package: python3-azure
Architecture: all
Depends: python3-msrest,
         python3-msrestazure,
         python3-requests,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-azure-storage
Suggests: python-azure-doc
Description: Microsoft Azure SDK for Python 3.x
 The Azure SDK provides a set of Python packages that make it easy to access
 the Microsoft Azure components such as ServiceManagement, Storage, and
 ServiceBug.
 .
 This package contains the Python 3.x modules.

Package: python-azure-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Microsoft Azure SDK for Python - Documentation
 The Azure SDK provides a set of Python packages that make it easy to access
 the Microsoft Azure components such as ServiceManagement, Storage, and
 ServiceBug.
 .
 This package contains the HTML documentation.
