=== debian/tests/control ===
Tests: python3-tests
Depends:
 python3-all,
 python3-azure,
 python3-azure-devtools,
 python3-azure-storage,
 python3-openssl,
 python3-pytest,
 python3-pytest-cov
