=== sdk/identity/azure-identity/tests/managed-identity-live/requirements.txt ===
../../../../core/azure-core
../..
../../../../keyvault/azure-keyvault-secrets
pytest
pytest-asyncio;python_full_version>="3.5.3"
aiohttp;python_full_version>="3.5.3"
