=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: python-azure
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Nicolas Dandrimont <olasd@debian.org>
+Uploaders: Nicolas Dandrimont <olasd@debian.org>,
+           Luca Boccassi <bluca@debian.org>,
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 11),
@@ -8,16 +9,23 @@
                python3-adal,
                python3-all,
                python3-azure-devtools (>= 1.1.0),
+               python3-azure-cosmos,
+               python3-azure-cosmosdb-table,
+               python3-azure-datalake-store,
+               python3-azure-storage,
                python3-flask,
                python3-keyring,
+               python3-msal,
+               python3-msal-extensions,
                python3-msrest (>= 0.5~),
                python3-msrestazure (>= 0.5~),
                python3-recommonmark,
                python3-requests,
                python3-setuptools,
                python3-sphinx <!nodoc>,
-               python3-sphinx-rtd-theme <!nodoc>
-Standards-Version: 4.2.1
+               python3-sphinx-rtd-theme <!nodoc>,
+               python3-uamqp,
+Standards-Version: 4.5.0
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-azure
@@ -43,6 +51,7 @@
 Package: python-azure-doc
 Section: doc
 Architecture: all
+Build-Profiles: <!nodoc>
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Microsoft Azure SDK for Python - Documentation
  The Azure SDK provides a set of Python packages that make it easy to access
