=== debian/tests/control ===
--- 
+++ 
@@ -6,4 +6,5 @@
  python3-azure-storage,
  python3-openssl,
  python3-pytest,
- python3-pytest-cov
+ python3-pytest-cov,
+ python3-trio,
