## python-azure 20200130+git

=== debian/changelog ===
python-azure (20200130+git-2) unstable; urgency=medium

  * Mark python-azure-doc with <!nodoc> profile.
  * Fix autopkgtest script to account for new source layout.
  * Backport patch to correctly skip some tests that require a working
    endpoint.

 -- Luca Boccassi <bluca@debian.org>  Sat, 29 Feb 2020 11:46:23 +0000

python-azure (20200130+git-1) unstable; urgency=medium

  * New upstream release (Closes: #949763)
    - based on upstream commit 00aaee5fd23006b15c5ba3a220ed9e81f3f0839a
  * d/rules: refactor for new doc directory layout.
  * d/rules: refactor to accommodate new upstream source layout.
  * Bump Standards-Version to 4.5.0, no changes.
  * Sort pydist to make the build reproducible.
  * Do not vendor azure-cosmos, shipped as a separate package now.
  * Do not vendor azure-storage-blob and -queue, shipped as a separate
    package now.
  * Add dependencies on new packages required by the new version.
  * Do not ship opentelemetry and opencensus, missing dependencies in
    Debian.
  * Add myself to Uploaders.

 -- Luca Boccassi <bluca@debian.org>  Wed, 26 Feb 2020 20:47:05 +0000
