## python-azure 20200721+git

=== debian/changelog ===
python-azure (20200721+git-1) unstable; urgency=medium

  * New upstream version 20200721+git
  * autopkgtest: add new failing tests that require subscription to ignore
    list

 -- Luca Boccassi <bluca@debian.org>  Fri, 07 Aug 2020 13:50:00 +0100

python-azure (20200519+git-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/20200519+git'
  * Refresh patches for new upstream import
  * Don't install azure-mgmt/azure-storage/azure, deprecated stubs
  * Autopkgtest: add new dependencies and ignore tests that fail due to
    the network
  * Autopkgtest: add needs-internet restriction (Closes: #958569)

 -- Luca Boccassi <bluca@debian.org>  Wed, 20 May 2020 15:47:42 +0100

python-azure (20200130+git-3) unstable; urgency=medium

  * Sort modules when acting on them in d/rules, and use LC_ALL=C when
    sorting pydist
  * Add 0002-docs-repro.patch and build-depend on python3-doc for
    reproducibility
  * autopkgtest: remove patch and copy root conftest.py
  * Update d/copyright paths for new source layout
  * Bump debhelper-compat to 12
  * Take over python3-azure-storage from src:python-azure-storage (Closes:
    #954922)
  * Override Lintian warning intra-source-package-circular-dependency

 -- Luca Boccassi <bluca@debian.org>  Tue, 14 Apr 2020 14:51:28 +0100
