=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Luca Boccassi <bluca@debian.org>,
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-adal,
                python3-all,
@@ -12,7 +12,7 @@
                python3-azure-cosmos,
                python3-azure-cosmosdb-table,
                python3-azure-datalake-store,
-               python3-azure-storage,
+               python3-doc <!nodoc>,
                python3-flask,
                python3-keyring,
                python3-msal,
@@ -39,7 +39,6 @@
          python3-requests,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: python3-azure-storage
 Suggests: python-azure-doc
 Description: Microsoft Azure SDK for Python 3.x
  The Azure SDK provides a set of Python packages that make it easy to access
@@ -59,3 +58,16 @@
  ServiceBug.
  .
  This package contains the HTML documentation.
+
+Package: python3-azure-storage
+Architecture: all
+Depends: python3-cryptography (>= 1.1~),
+         ${misc:Depends},
+         ${python3:Depends}
+Breaks: python3-azure (<< 20200130+git-3~)
+Replaces: python3-azure (<< 20200130+git-3~)
+Description: Microsoft Azure Storage Library for Python 3.x
+ This Python module provides an API for consuming Microsoft Azure Storage
+ services including Blob, Queue, Table and Files.
+ .
+ This is the Python 3 version of the package.
