=== debian/tests/control ===
--- 
+++ 
@@ -4,7 +4,12 @@
  python3-azure,
  python3-azure-devtools,
  python3-azure-storage,
+ python3-httpretty,
+ python3-mock,
  python3-openssl,
  python3-pytest,
+ python3-pytest-asyncio,
  python3-pytest-cov,
  python3-trio,
+Restrictions:
+ needs-internet,
