## python-azure 20201208%2Bgit

=== sdk/identity/azure-identity/tests/managed-identity-live/requirements.txt ===
../../../../core/azure-core
../..
../../../../keyvault/azure-keyvault-secrets
pytest
pytest-asyncio;python_version>="3.5"
aiohttp>=3.0; python_version >= '3.5'
