## python-azure 20201208+git

=== eng/versioning/requirements.txt ===
packaging==19.2
pyparsing==2.4.5
six==1.13.0
