=== debian/changelog ===
python-azure (20201208+git-6) unstable; urgency=medium

  * Skip test_mgmt_compute_vmss.py::MgmtComputeTest::test_compute_vmss_rol
    ling_upgrades

 -- Luca Boccassi <bluca@debian.org>  Wed, 21 Apr 2021 10:56:09 +0100

python-azure (20201208+git-5) unstable; urgency=medium

  * Skip test_mgmt_resource_managed_application.py::MgmtResourceLinksTest:
    :test_application (Closes: #984894)

 -- Luca Boccassi <bluca@debian.org>  Tue, 20 Apr 2021 20:56:52 +0100

python-azure (20201208+git-4) unstable; urgency=high

  * Update azure-mgmt-resources to 16.0.0 (Closes: #981318)

 -- Luca Boccassi <bluca@debian.org>  Tue, 02 Mar 2021 21:29:31 +0000

python-azure (20201208+git-3) unstable; urgency=medium

  * Deselect tests that need a working remote connection from autopkgtest
    run (Closes: #978960)

 -- Luca Boccassi <bluca@debian.org>  Fri, 01 Jan 2021 14:18:01 +0000

python-azure (20201208+git-2) unstable; urgency=medium

  * Drop revert-batch.patch, it is now declared stable

 -- Luca Boccassi <bluca@debian.org>  Tue, 29 Dec 2020 19:53:32 +0000

python-azure (20201208+git-1) unstable; urgency=medium

  * New upstream version 20201208+git
  * Drop 0003-mgmt-resource-revert.patch, not needed anymore
  * Bump Standards-Version to 4.5.1, no changes
  * Bump debhelper-compat to 13
  * Add duplicated-named-function.patch to fix syntax error
  * Add new build-dependency on python3-dotenv for tests
  * Revert azure-batch to version 9

 -- Luca Boccassi <bluca@debian.org>  Fri, 11 Dec 2020 19:32:09 +0000

python-azure (20201118+git-1) unstable; urgency=medium

  * New upstream version 20201118+git

 -- Luca Boccassi <bluca@debian.org>  Wed, 18 Nov 2020 18:51:06 +0000

python-azure (20201028+git-1) unstable; urgency=medium

  * New upstream version 20201028+git
    (Closes: #973020)
  * Disable new tests that need functioning network

 -- Luca Boccassi <bluca@debian.org>  Thu, 29 Oct 2020 10:58:58 +0000

python-azure (20200927+git-1) unstable; urgency=medium

  * New upstream version 20200927+git
  * Manually depend on python3-avro, dh_python cannot figure it out
  * Revert azure-mgmt-resource to version 10

 -- Luca Boccassi <bluca@debian.org>  Fri, 09 Oct 2020 17:07:23 +0100

python-azure (20200921+git-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Luca Boccassi ]
  * New upstream version 20200921+git
  * Refresh 0002-docs-repro.patch to remove fuzz
  * Add new dependencies
  * Autopkgtest: always install build-deps
  * Autopkgtest: skip avro tests

 -- Luca Boccassi <bluca@debian.org>  Fri, 25 Sep 2020 14:19:04 +0100
