=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: python-azure
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Nicolas Dandrimont <olasd@debian.org>,
            Luca Boccassi <bluca@debian.org>,
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-adal,
                python3-all,
+               python3-avro (>= 1.10.0~),
                python3-azure-devtools (>= 1.1.0),
                python3-azure-cosmos,
                python3-azure-cosmosdb-table,
                python3-azure-datalake-store,
                python3-doc <!nodoc>,
                python3-flask,
+               python3-isodate,
                python3-keyring,
                python3-msal,
                python3-msal-extensions,
@@ -24,12 +26,13 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
+               python3-typing-extensions,
                python3-uamqp,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-azure
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-azure.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-azure
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-azure.git
 Homepage: https://github.com/Azure/azure-sdk-for-python
 
 Package: python3-azure
@@ -37,6 +40,7 @@
 Depends: python3-msrest,
          python3-msrestazure,
          python3-requests,
+         python3-avro (>= 1.10.0~),
          ${misc:Depends},
          ${python3:Depends}
 Suggests: python-azure-doc
