=== debian/tests/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Tests: python3-tests
 Depends:
- python3-all,
+ @builddeps@,
  python3-azure,
- python3-azure-devtools,
  python3-azure-storage,
+ python3-dotenv,
  python3-httpretty,
  python3-mock,
  python3-openssl,
