## python-azure 20211104+git

=== debian/changelog ===
python-azure (20211104+git-1) unstable; urgency=medium

  * New upstream version 20211104+git
  * Drop obsolete patches
  * Skip sdk/monitor/azure-monitor
  * Add new dependencies
  * Ignore very-long-line-length-in-source-file lintian warning
  * Bump Standards-Version to 4.6.0, no changes
  * Add new python3-parameterized test dependency
  * Skip broken tests

 -- Luca Boccassi <bluca@debian.org>  Fri, 05 Nov 2021 00:38:43 +0000
