=== debian/control ===
--- 
+++ 
@@ -13,10 +13,12 @@
                python3-azure-cosmos,
                python3-azure-cosmosdb-table,
                python3-azure-datalake-store,
+               python3-chardet,
                python3-doc <!nodoc>,
                python3-flask,
                python3-isodate,
                python3-keyring,
+               python3-jwt,
                python3-msal,
                python3-msal-extensions,
                python3-msrest (>= 0.5~),
@@ -24,11 +26,12 @@
                python3-recommonmark,
                python3-requests,
                python3-setuptools,
+               python3-six,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                python3-typing-extensions,
                python3-uamqp,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-azure
