=== debian/tests/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  python3-httpretty,
  python3-mock,
  python3-openssl,
+ python3-parameterized,
  python3-pytest,
  python3-pytest-asyncio,
  python3-pytest-cov,
