## python-azure 20220407+git

=== sdk/identity/azure-identity/tests/managed-identity-live/requirements.txt ===
../../../../core/azure-core
../..
../../../../keyvault/azure-keyvault-secrets
pytest
pytest-asyncio
aiohttp>=3.0
