=== debian/changelog ===
python-azure (20220407+git-1) unstable; urgency=medium

  * Bump dependency on python3-typing-extensions
  * New upstream version 20220407+git
  * Bump copyright year ranges in d/copyright

 -- Luca Boccassi <bluca@debian.org>  Thu, 07 Apr 2022 15:39:02 +0100

python-azure (20220302+git-1) unstable; urgency=medium

  * New upstream version 20220302+git
  * Use dh-sequence-* instead of --with
  * Delete autopkgtest, now requires running docker

 -- Luca Boccassi <bluca@debian.org>  Wed, 02 Mar 2022 15:23:35 +0000
