=== debian/control ===
--- 
+++ 
@@ -6,6 +6,8 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc <!nodoc>,
                python3-adal,
                python3-all,
                python3-avro (>= 1.10.0~),
@@ -29,7 +31,7 @@
                python3-six,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-               python3-typing-extensions,
+               python3-typing-extensions (>= 3.10~),
                python3-uamqp,
 Standards-Version: 4.6.0
 Testsuite: autopkgtest-pkg-python
