=== debian/rules ===
--- 
+++ 
@@ -1,19 +1,13 @@
 #!/usr/bin/make -f
 
 # Package all submodules except azure-sdk-tools, azure-devtools, *nspkg
-MODULES = $(sort $(filter-out sdk/core/azure sdk/core/azure-mgmt sdk/storage/azure-storage sdk/core/azure-core-tracing-opencensus sdk/core/azure-core-tracing-opentelemetry sdk/cosmos/azure-cosmos %-nspkg tools/azure-devtools tools/azure-sdk-tools tools/azure-sdk-tools/packaging_tools tools/azure-sdk-tools/devtools_testutils,$(subst /setup.py,,$(wildcard */*/*/setup.py))))
+MODULES = $(sort $(filter-out scripts/quickstart_tooling_llc/template sdk/core/azure sdk/core/azure-mgmt sdk/storage/azure-storage sdk/core/azure-core-tracing-opencensus sdk/core/azure-core-tracing-opentelemetry sdk/cosmos/azure-cosmos sdk/monitor/azure-monitor %-nspkg tools/azure-devtools tools/azure-sdk-tools tools/azure-sdk-tools/packaging_tools tools/azure-sdk-tools/devtools_testutils,$(subst /setup.py,,$(wildcard */*/*/setup.py))))
 
 # rules with wildcards do not like '/', so we have to escape. Use three dots as it's unlikely to be used in a name.
 MODULES_ESCAPE = $(subst /,...,$(MODULES))
 
-ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS))$(filter nodoc,$(DEB_BUILD_PROFILES)))
-	HELPERS = python3,sphinxdoc
-else
-	HELPERS = python3
-endif
-
 %:
-	dh $@ --with $(HELPERS) --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 
 override_dh_auto_clean:
