## python-azure 20221101+git

=== debian/changelog ===
python-azure (20221101+git-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Tue, 13 Dec 2022 11:56:36 +0000

python-azure (20221101+git-2) unstable; urgency=medium

  * Drop dependency on deprecated python3-azure-devtools

 -- Luca Boccassi <bluca@debian.org>  Wed, 07 Dec 2022 19:08:47 +0000

python-azure (20221101+git-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Wed, 09 Nov 2022 11:26:47 +0000

python-azure (20221101+git-1) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes
  * d/copyright: exclude large test cases from the import
  * New upstream version 20221101+git
  * Install apache2 NOTICE in python3-azure
  * Drop obsolete dependencies

 -- Luca Boccassi <bluca@debian.org>  Tue, 01 Nov 2022 19:45:10 +0000

python-azure (20220407+git-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Fri, 15 Apr 2022 12:05:27 +0200

python-azure (20220302+git-1~bpo11+2) bullseye-backports; urgency=medium

  * Bump dependency on python3-typing-extensions

 -- Luca Boccassi <bluca@debian.org>  Thu, 10 Mar 2022 16:31:28 +0000

python-azure (20220302+git-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Wed, 09 Mar 2022 11:45:10 +0000

python-azure (20211104+git-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Luca Boccassi <bluca@debian.org>  Sun, 07 Nov 2021 19:59:45 +0000
