=== debian/control ===
--- 
+++ 
@@ -11,9 +11,6 @@
                python3-adal,
                python3-all,
                python3-avro (>= 1.10.0~),
-               python3-azure-devtools (>= 1.1.0),
-               python3-azure-cosmos,
-               python3-azure-cosmosdb-table,
                python3-azure-datalake-store,
                python3-chardet,
                python3-doc <!nodoc>,
@@ -33,7 +30,7 @@
                python3-sphinx-rtd-theme <!nodoc>,
                python3-typing-extensions (>= 3.10~),
                python3-uamqp,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-azure
