## python-azure 20230112%2Bgit

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                python3-sphinx-rtd-theme <!nodoc>,
                python3-typing-extensions (>= 3.10~),
                python3-uamqp,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-azure
