## python-azure 20230112+git

=== tools/azure-sdk-tools/ci_tools/versioning/requirements.txt ===
packaging==19.2
pyparsing==2.4.5
six==1.13.0
setuptools==44.1.1
