=== debian/changelog ===
python-azure (20230112+git-1) unstable; urgency=medium

  * New upstream version 20230112+git
  * Bump Standards-Version to 4.6.2, no changes
  * Bump copyright year ranges in d/copyright

 -- Luca Boccassi <bluca@debian.org>  Fri, 13 Jan 2023 01:43:12 +0000
