=== debian/changelog ===
python-azure (20230705+git-1) unstable; urgency=medium

  * New upstream version 20230705+git (Closes: #1040406)
  * python3-azure-doc: mark as MA foreign

 -- Luca Boccassi <bluca@debian.org>  Wed, 05 Jul 2023 20:18:18 +0100
