=== debian/control ===
--- 
+++ 
@@ -56,6 +56,7 @@
 Package: python-azure-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Build-Profiles: <!nodoc>
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Microsoft Azure SDK for Python - Documentation
