## python-azure 20240522+git

=== debian/changelog ===
python-azure (20240522+git-2) unstable; urgency=medium

  * Add build dependency on python3-myst-parser

 -- Luca Boccassi <bluca@debian.org>  Thu, 23 May 2024 10:40:26 +0100

python-azure (20240522+git-1) unstable; urgency=medium

  * New upstream version 20240522+git
  * Do not build crc64 extension, it is cpython
  * Refresh 0002-docs-repro.patch
  * Add one more file to d/s/options ignore list
  * d/control: bump Standards-Version to 4.7.0, no changes

 -- Luca Boccassi <bluca@debian.org>  Wed, 22 May 2024 23:28:14 +0100
