=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
                python3-msal-extensions,
                python3-msrest (>= 0.5~),
                python3-msrestazure (>= 0.5~),
+               python3-myst-parser <!nodoc>,
                python3-recommonmark,
                python3-requests,
                python3-setuptools,
@@ -30,7 +31,7 @@
                python3-sphinx-rtd-theme <!nodoc>,
                python3-typing-extensions (>= 3.10~),
                python3-uamqp,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-azure
