## python-azure 20240709+git

=== debian/changelog ===
python-azure (20240709+git-1) unstable; urgency=medium

  * Take over python3-azure-cosmos legacy separate package
  * New upstream version 20240709+git

 -- Luca Boccassi <bluca@debian.org>  Tue, 09 Jul 2024 10:58:01 +0100
